Create a new property option
Create a new option for this property.
Required permissions: PRODUCT
post/tenants/{tenantUid}/properties/{propertyUid}/options
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+propertyUidstringRequiredPattern:
Reference to a product property definition
^[A-Za-z0-9-_]+Body
An pre-defined, allowed value for a list or checklist property.
propertyOptionNamestringRequired
externalIdstringOptional
propertyOptionUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
An pre-defined, allowed value for a list or checklist property.
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
propertyUidstringRequiredPattern:
^[A-Za-z0-9-_]+propertyNamestringRequired
propertyOptionUidstringRequiredPattern:
^[A-Za-z0-9-_]+propertyOptionNamestringRequired
externalIdstringRequired
post/tenants/{tenantUid}/properties/{propertyUid}/options
POST /v2/tenants/{tenantUid}/properties/{propertyUid}/options HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 76
{
"propertyOptionName": "text",
"externalId": "text",
"propertyOptionUid": "text"
}200
Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"propertyUid": "text",
"propertyName": "text",
"propertyOptionUid": "text",
"propertyOptionName": "text",
"externalId": "text"
}Last updated
Was this helpful?

